org.apache.cassandra.io.util

## Class SequentialWriterOption.Builder

- java.lang.Object
- - org.apache.cassandra.io.util.SequentialWriterOption.Builder

- Enclosing class:
    SequentialWriterOption

      public static class SequentialWriterOption.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SequentialWriterOption.Builder` | `bufferSize(int bufferSize)`
    `SequentialWriterOption.Builder` | `bufferType(BufferType bufferType)`
    `SequentialWriterOption` | `build()`
    `SequentialWriterOption.Builder` | `finishOnClose(boolean finishOnClose)`
    `SequentialWriterOption.Builder` | `trickleFsync(boolean trickleFsync)`
    `SequentialWriterOption.Builder` | `trickleFsyncByteInterval(int trickleFsyncByteInterval)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### build

          public SequentialWriterOption build()

    - #### bufferSize

          public SequentialWriterOption.Builder bufferSize(int bufferSize)

    - #### bufferType

          public SequentialWriterOption.Builder bufferType(BufferType bufferType)

    - #### trickleFsync

          public SequentialWriterOption.Builder trickleFsync(boolean trickleFsync)

    - #### trickleFsyncByteInterval

          public SequentialWriterOption.Builder trickleFsyncByteInterval(int trickleFsyncByteInterval)

    - #### finishOnClose

          public SequentialWriterOption.Builder finishOnClose(boolean finishOnClose)

Copyright © 2018 The Apache Software Foundation